%define upstream_name    B-Hooks-OP-Check-StashChange
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Invoke callbacks when the stash code is being compiled in changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
Invoke callbacks when the stash code is being compiled in changes.

From Perl:

<CODE>
package Foo;

use B::Hooks::OP::Check::StashChange;

our $id = B::Hooks::OP::Check::StashChange::register(sub {
    my ($new, $old) = @_;
    warn "${old} -> ${new}";
});

package Bar; # "Foo -> Bar"

B::Hooks::OP::Check::StashChange::unregister($Foo::id);

package Moo; # callback not invoked
</CODE>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/*




%changelog
* Thu Nov 30 2023 tv <tv> 0.60.0-23.mga10
+ Revision: 2011568
- Rebuild for perl-5.38

* Tue Nov 28 2023 tv <tv> 0.60.0-22.mga10
+ Revision: 2010511
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.60.0-21.mga10
+ Revision: 1861562
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.60.0-20.mga9
+ Revision: 1796296
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-19.mga9
+ Revision: 1726404
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-18.mga8
+ Revision: 1594306
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.60.0-17.mga8
+ Revision: 1529415
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.60.0-16.mga8
+ Revision: 1433366
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-15.mga7
+ Revision: 1292357
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.60.0-14.mga7
+ Revision: 1248989
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-13.mga7
+ Revision: 1163161
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-12.mga7
+ Revision: 1149455
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 0.60.0-11.mga7
+ Revision: 1129846
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-10.mga6
+ Revision: 1022702
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-9.mga6
+ Revision: 956800
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.60.0-8.mga6
+ Revision: 844094
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 749515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 683587
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.60.0-5.mga5
+ Revision: 632148
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 524583
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-3.mga4
+ Revision: 431171
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 363310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 277674
- Add a description
- imported package perl-B-Hooks-OP-Check-StashChange

